/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Chief Paroxymous\Quest Mobiles\ChiefParoxysmusminion.cs
Lines of code: 71
***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Engines.CannedEvil;
using System.Collections.Generic;

namespace Server.Mobiles
{
	public class ChiefParoxysmusMinion : BaseCreature
	{
       private Timer m_Timer;
		[Constructable]
		public ChiefParoxysmusMinion () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a bulbous putrification" ;
			Body = 775;
			Hue=67;
			BaseSoundID = 0;

			SetStr( 755, 800 );
			SetDex( 53, 60 );
			SetInt( 51, 59 );

			SetHits(1211, 1231);
			SetDamage( 6, 13 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Poison, 40 );

			SetResistance( ResistanceType.Physical, 55, 68 );
			SetResistance( ResistanceType.Fire, 40, 49 );
			SetResistance( ResistanceType.Cold, 41, 49 );
			SetResistance( ResistanceType.Poison, 53, 69 );
			SetResistance( ResistanceType.Energy, 51, 60 );

			SetSkill( SkillName.MagicResist, 110.0, 110.0 );
			SetSkill( SkillName.Tactics, 111.9, 120.0 );
			SetSkill( SkillName.Wrestling, 104.8, 114.7 );
			SetSkill( SkillName.Poisoning, 80.0);
			SetSkill( SkillName.Anatomy, 110.0);

			Fame = 11000;
			Karma = -11000;

			VirtualArmor = 75;
		}


		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich,2 );
		}

		public override bool AutoDispel{ get{ return true; } }
		public override bool Unprovokable{ get{ return true; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool IsMLCreature { get { return true;} }
 
		public override void OnDeath( Container c )
		{

			base.OnDeath( c );
		}
		
		

		public ChiefParoxysmusMinion( Serial serial ) : base( serial )
		{
			//m_Instances.Add( this );
		}

		public override void OnAfterDelete()
		{
			//m_Instances.Remove( this );

			base.OnAfterDelete();
		}

		//public override bool DisallowAllMoves{ get{ return m_TrueForm; } }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
